Hot News aus dem CAD.de-Newsletter:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Solid Edge
  Indexreferenz mit VB

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Indexreferenz mit VB (323 mal gelesen)
ger.isi
Mitglied
Konstrukteur

Sehen Sie sich das Profil von ger.isi an!   Senden Sie eine Private Message an ger.isi  Schreiben Sie einen Gästebucheintrag für ger.isi

Beiträge: 7
Registriert: 25.12.2018

erstellt am: 25. Dez. 2018 22:08    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Ich habe vor einer Ewigkeit in VB6 ein Makro geschrieben um die Properties in einem Schriftkopftool einfach ausfüllen zu können.
Nun habe ich tatsächlich das alte Projekt in Windows 10 zum Laufen gebracht in Visual Basic dank diverser Anleitungen im Netz. 

Nun stehe ich aber an, da ich nicht weiß, wie ich eine Indexreferenz (zB. Titel oder Material) vom ersten referenzierten Teil in der Zeichnung erreichen kann.
In der Zeichnung geht das ja einfach z.B. über Titel|R1.
Nur wie mache ich das im VB?

Meine normalen Properties hole ich ja so (z.B. den Titel aus der Draft):

Set objApp = GetObject(, "SolidEdge.application")
Set objADoc = objApp.ActiveDocument
Set objAktuell = objADoc.Properties("SummaryInformation")
txtTitel = objAktuell.item("Titel").Value
Set objAktuell = Nothing

Gibt es noch Wissende, die mir hierbei helfen können?
Trotz eingehender Suche im Forum bin ich leider nicht fündig geworden.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

wolha
Moderator
CAD - Consultant


Sehen Sie sich das Profil von wolha an!   Senden Sie eine Private Message an wolha  Schreiben Sie einen Gästebucheintrag für wolha

Beiträge: 4659
Registriert: 30.01.2002

Solid Edge 2019 win10
CAMWorks
Primus PDM
FEMAP
Dynamic Designer

erstellt am: 25. Dez. 2018 22:47    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für ger.isi 10 Unities + Antwort hilfreich

Hallo ger.isi,

zuerst einmal noch ein "Gesegnetes Weihnachtsfest!"

und wenn ich mich nicht ganz irre, dann sollte es mit dieser Codezeile weiter gehen:

            Set objProp3d = SEDoc.ModelLinks.Item(1).ModelDocument.Properties

Damit erzeugst Du einen Propertyset des ersten verknüpften Dokuments im Draft


------------------
mfg

Wolfgang Hackl
CAD/CAM - Consult

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

ger.isi
Mitglied
Konstrukteur

Sehen Sie sich das Profil von ger.isi an!   Senden Sie eine Private Message an ger.isi  Schreiben Sie einen Gästebucheintrag für ger.isi

Beiträge: 7
Registriert: 25.12.2018

erstellt am: 26. Dez. 2018 02:03    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo Wolfgang!
Ebenfalls Frohe Weihnachten und schöne Feiertage!
Wow - vielen Dank für die schnelle Antwort,
Ich werde es gleich versuchen so umzusetzen.
Das neue objProp3D hat dann wieder die unterschiedlichen Bereiche mit Summary usw? Wo ich dann zB den Titel herausbekomme?
Das würde mich echt weiterbringen.

Mit freundlichen Grüßen
Gernot

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2019 CAD.de | Impressum | Datenschutz